<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy TravelInfo.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_travel_info_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">TravelInfo.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_travel_info_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef TRAVELINFO_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define TRAVELINFO_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &quot;<a class="code" href="_framed_widget_8hpp.html">FramedWidget.hpp</a>&quot;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#include &lt;QLineEdit&gt;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="_travel_info_8hpp.html#a2f1291e2a29c1f79a21b3ea7002b341e">   17</a></span><span class="preprocessor">#define TRAVEL_INFO_LIMIT 16</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="class_travel_info.html">   28</a></span><span class="keyword">class </span><a class="code hl_class" href="class_travel_info.html">TravelInfo</a> : <span class="keyword">public</span> <a class="code hl_class" href="class_framed_widget.html">FramedWidget</a></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>{</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>  Q_OBJECT</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="class_travel_info.html#a8dbb9fb85faaff85a6a4a648cdeed0b8">   35</a></span>    QLabel *<a class="code hl_variable" href="class_travel_info.html#a8dbb9fb85faaff85a6a4a648cdeed0b8">unit</a>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">   39</a></span>    QLineEdit *<a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="class_travel_info.html#a35c206edd5b89c207deb0f4e6ddb5203">   43</a></span>    QHBoxLayout *<a class="code hl_variable" href="class_travel_info.html#a35c206edd5b89c207deb0f4e6ddb5203">hlayout</a>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="class_travel_info.html#a708169e783d11f58c26c608e07864743">   47</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="class_travel_info.html#a708169e783d11f58c26c608e07864743">coords</a>[2] = {0, 0};</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">   54</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">old_reads</a>[2];</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#a2d74900881683d93e726b64fe1c9a710">setHLayout</a>();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#abb606d890020bd082c842de4963f4ba4">setVLayout</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#af594443e14524f51ec5d8d83adbac2fe">setStoredWidget</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <a class="code hl_class" href="class_travel_info.html">TravelInfo</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *widget_title, QWidget *parent = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#a7372d7b6b3cab2310b3e6482df168041">writeLine</a>(QString line);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#a3a7cf7c55842a5ca903c4cfdecc98921">updateDistance</a>(<span class="keywordtype">double</span> distance);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#a65eb7f9f08f585df6654f05238c9a526">updateCoords</a>();</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791">   96</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791">setMaxWidth</a>(<span class="keywordtype">int</span> limit = 100) { <a class="code hl_variable" href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">info</a>-&gt;setMaximumWidth(limit); }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_travel_info.html#aded556ed7e83a46c97f60e2593299ded">countCoords</a>(<span class="keywordtype">int</span> left_opto, <span class="keywordtype">int</span> right_opto);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>};</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="preprocessor">#endif </span><span class="comment">// TRAVELINFO_HPP</span></div>
<div class="ttc" id="a_framed_widget_8hpp_html"><div class="ttname"><a href="_framed_widget_8hpp.html">FramedWidget.hpp</a></div><div class="ttdoc">Definicja klasy FramedWidget.</div></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_travel_info_html"><div class="ttname"><a href="class_travel_info.html">TravelInfo</a></div><div class="ttdoc">Wyświetla informacje o podróży robota.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00028">TravelInfo.hpp:29</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a2d74900881683d93e726b64fe1c9a710"><div class="ttname"><a href="class_travel_info.html#a2d74900881683d93e726b64fe1c9a710">TravelInfo::setHLayout</a></div><div class="ttdeci">void setHLayout()</div><div class="ttdoc">Ustawia widgety w poziomie.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00054">TravelInfo.cpp:54</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a35c206edd5b89c207deb0f4e6ddb5203"><div class="ttname"><a href="class_travel_info.html#a35c206edd5b89c207deb0f4e6ddb5203">TravelInfo::hlayout</a></div><div class="ttdeci">QHBoxLayout * hlayout</div><div class="ttdoc">Zarządca horyzontalny.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00043">TravelInfo.hpp:43</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a3a7cf7c55842a5ca903c4cfdecc98921"><div class="ttname"><a href="class_travel_info.html#a3a7cf7c55842a5ca903c4cfdecc98921">TravelInfo::updateDistance</a></div><div class="ttdeci">void updateDistance(double distance)</div><div class="ttdoc">Konweruje przekazany dystans na metry i wyświetla w okienku.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00118">TravelInfo.cpp:118</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a65eb7f9f08f585df6654f05238c9a526"><div class="ttname"><a href="class_travel_info.html#a65eb7f9f08f585df6654f05238c9a526">TravelInfo::updateCoords</a></div><div class="ttdeci">void updateCoords()</div><div class="ttdoc">Aktualizuje współrzędne robota w okienku.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00132">TravelInfo.cpp:132</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a708169e783d11f58c26c608e07864743"><div class="ttname"><a href="class_travel_info.html#a708169e783d11f58c26c608e07864743">TravelInfo::coords</a></div><div class="ttdeci">int coords[2]</div><div class="ttdoc">Tablica z koordynatami robota.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00047">TravelInfo.hpp:47</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a7372d7b6b3cab2310b3e6482df168041"><div class="ttname"><a href="class_travel_info.html#a7372d7b6b3cab2310b3e6482df168041">TravelInfo::writeLine</a></div><div class="ttdeci">void writeLine(QString line)</div><div class="ttdoc">Wpisuje linijkę do edytora.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00105">TravelInfo.cpp:105</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a76cbff64d22110a5996cccfd1ed4ba1e"><div class="ttname"><a href="class_travel_info.html#a76cbff64d22110a5996cccfd1ed4ba1e">TravelInfo::old_reads</a></div><div class="ttdeci">int old_reads[2]</div><div class="ttdoc">Tablica z poprzednimi odczytami z transoptorów odbiciowych.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00054">TravelInfo.hpp:54</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a8dbb9fb85faaff85a6a4a648cdeed0b8"><div class="ttname"><a href="class_travel_info.html#a8dbb9fb85faaff85a6a4a648cdeed0b8">TravelInfo::unit</a></div><div class="ttdeci">QLabel * unit</div><div class="ttdoc">Jednostka wyświetlanych danych (milimetry)</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00035">TravelInfo.hpp:35</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a99fc19ffabbf99e2fd40d649a762e791"><div class="ttname"><a href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791">TravelInfo::setMaxWidth</a></div><div class="ttdeci">void setMaxWidth(int limit=100)</div><div class="ttdoc">Ustawia maksymalną szerokość edytora.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00096">TravelInfo.hpp:96</a></div></div>
<div class="ttc" id="aclass_travel_info_html_abb606d890020bd082c842de4963f4ba4"><div class="ttname"><a href="class_travel_info.html#abb606d890020bd082c842de4963f4ba4">TravelInfo::setVLayout</a></div><div class="ttdeci">void setVLayout() override</div><div class="ttdoc">Ustawia widgety pochodne w pionie.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00065">TravelInfo.cpp:65</a></div></div>
<div class="ttc" id="aclass_travel_info_html_ad7d91725f7cbe294faa1b042872c4107"><div class="ttname"><a href="class_travel_info.html#ad7d91725f7cbe294faa1b042872c4107">TravelInfo::info</a></div><div class="ttdeci">QLineEdit * info</div><div class="ttdoc">Miejsce na wpisywaną informację</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00039">TravelInfo.hpp:39</a></div></div>
<div class="ttc" id="aclass_travel_info_html_aded556ed7e83a46c97f60e2593299ded"><div class="ttname"><a href="class_travel_info.html#aded556ed7e83a46c97f60e2593299ded">TravelInfo::countCoords</a></div><div class="ttdeci">void countCoords(int left_opto, int right_opto)</div><div class="ttdoc">Liczy współrzędne robota na planszy.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00082">TravelInfo.cpp:82</a></div></div>
<div class="ttc" id="aclass_travel_info_html_af594443e14524f51ec5d8d83adbac2fe"><div class="ttname"><a href="class_travel_info.html#af594443e14524f51ec5d8d83adbac2fe">TravelInfo::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget() override</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00039">TravelInfo.cpp:39</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_travel_info_8hpp.html">TravelInfo.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
